@import 'config';
@import 'utilities';

// General Styles 
body {
    font-family: 'Comfortaa', cursive;
    line-height: 1.6;
    background-color: #fff;
}

* {
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
    color: $dark-color;
}

ul {
    list-style: none;
}

h2, h3, h4 {
    text-transform: uppercase;
}

img {
    width: 100%;
}   

// Logo
#logo {
    width: 70px;
    height: 70px;
    color: #fff;
    text-transform: uppercase;
}

// Main Nav
#main-nav {
    display: flex;
    justify-content: space-between;
    padding-top: 1rem;

    ul {
        display: flex;
    }

    li {
        padding: 1rem 1.5rem;
    }

    a {
        text-decoration: none;
        color: #fff;
        text-transform: uppercase;
        border-bottom: 3px solid transparent;
        padding-bottom: 0.5rem;
        transition: border-color 0.5s;

        &:hover {
            border-color: $medium-color;
        }

        &.current {
            border-color: $main-color;
        }
    }
}   

// Header
#header {
    &-home {
        background-image: $bg-image;
        background-repeat: no-repeat;
        background-position: center right;
        background-size: cover;
        height: 100vh;
        color: #fff;

        // Header Content
        .header-content {
            text-align: center;
            padding-top: 20%;

            h1 {
                font-size: 4rem;
                line-height: 1.2;
            }
        }
    }

    &-inner {
        background-image: $bg-image;
        background-repeat: no-repeat;
        background-position: 20% 30%;
        background-size: cover;
        // height: 5.5rem;
        border-bottom: 3px solid $main-color;
        color: #fff;
    }
}

// Home Sections - A, B, C
#home {
    &-a {
       .specials {
           margin-top: 3rem;
           display: flex;
           justify-content: center;
           align-items: center;
           gap: 30px;

           div {
               width: 400px;
           }
       }

       .fa-solid {
           color: $main-color;
           padding-bottom: 0.4rem;
       }
    }

    &-b {
        .stats {
            display: flex;
            align-items: center;
            justify-content: center;

            div {
                padding: 4rem 0;
                flex: 1;
                
                &:nth-child(odd) {
                    background-color: $light-color;
                }
                
    
                &:nth-child(even) {
                    background-color: $medium-color;
                }
            }
            
        }

        li {
            line-height: 2;

            &.stats-title {
                font-size: 1.8rem;
            }

            &.stats-number {
                font-size: 2.3rem;
                font-weight: bold;
            }
        }
    }

    &-c {
        .process {
            margin: auto;
            margin-top: 3rem;
            display: flex;
            justify-content: center;
            align-items: center;
            gap: 30px;
            max-width: 1750px;

            // div {
            //     max-width: 400px;
            // }

            &-step {
                position: absolute;
                top: 0;
                right: 0;
                font-size: 28px;
                background-color: $main-color;
                border-radius: 50%;
                height: 15px;
                width: 15px;
                line-height: 15px;
                padding: 1rem;
                transition: all 1s;
            }

            &-icon {
                border-radius: 50%;
                height: 70px;
                width: 70px;
                background-color: $dark-color;
                color: #fff;
                padding: 2rem;
                line-height: 70px;
                text-align: center;
                position: relative;
                transition: all 1s;

                &:hover {
                    background-color: $main-color;
                    width: 90px;
                    height: 90px;
                    line-height: 90px;

                    .process-step {
                        background-color: $dark-color;
                    }
                }
            }
        }
    }
}

// About
#about {
    &-a {
        .about-info {
            display: flex;
            flex-direction: row;
            justify-content: center;
            gap: 30px;
            margin-bottom: 5rem;

            .bio-img {
                max-width: 500px;
            }

            .bio {
                padding-top: 1rem;
            }
            

            &>*:last-child {
                align-self: stretch;
                background-color: #f4f4f4;
                border-left: 4px solid $main-color;
            }
        }

        .awards {
            display: flex;
            justify-content: center;
            align-items: center;
            line-height: 30px;

            .fa-solid {
                color: $main-color;
                margin-bottom: 1.5rem;
            }
        }
    }

    &-b {
        background-color: $dark-color;
        color: #fff;

        .progress {
            overflow: hidden;
            height: 20px;
            background-color: $medium-color;
            border-radius: 5px;
            margin-bottom: 1rem;

            div {
                height: 100%;
                color: #fff;
                text-align: center;
                background-color: $main-color;
            }
        }
    }

    &-c {
        background-color: $light-color;

        .about-logos {
            display: flex;
            align-items: center;
            justify-content: center;
            height: 200px;

            img {
                margin: 30px;
            }
        }
    }

    &-d {
        .testimonials {
            display: flex;
            gap: 10px;

            p {
                border: 1px solid #ddd8d8;
                border-radius: 5px;
                padding: 0.5rem;
                margin-bottom: 1rem;
            }

            ul {
                list-style: none;
                display: flex;
                align-items: center;
            }

            img {
                border-radius: 50%;
                width: 50px;
                height: 50px;
            }

            .name {
                margin-left: 10px;
            }
        }
    }
}

// Work
#work {

    .items {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        gap: 30px;
        box-shadow: 0px 5px 15px 0px rgba(0,0,0,0.3);
    }

    .item {
        position: relative;
        // background-color: $main-color;
        background-color: $light-color;
        overflow: hidden;

        img {
            max-width: 400px;
        }

        // &::after {
        //     content: '';
        //     position: absolute;
        //     display: block;
        //     background-color: inherit;
        //     opacity: 0.9;
        //     top: 0;
        //     left: 0;
        //     width: 100%;
        //     height: 100%;
        //     transform: scale(2) translateX(-75%) translateY(-75%) rotate(-28deg);
        //     transition: transform 3s cubic-bezier(0.2, 1, 0.3, 1);
        // }

        // &:hover::after {
        //     transform: scale(2) translateX(0) translateY(0) rotate(-28deg);
        // }

        // &:hover &-img {
        //     transform: scale(1.2);
        // }

        // &:hover &-text {
        //     opacity: 1;
        //     transform: translateY(0);
        // }

        // &-img {
        //     // max-width: 400px;
        //     height: auto;
        //     display: block;
        //     transform: translateZ(0);
        //     transform: transform 750ms cubic-bezier(0.2, 1, 0.3, 1);
        // }

        // &-img::before {
        //     content: '';
        //     display: block;
        //     padding-top: 75%;
        //     overflow: hidden;
        // }

        // &-img img {
        //     // max-width: 400px;
        //     position: absolute;
        //     top: 0;
        //     left: 0;
        //     width: 100%;
        //     height: auto;
        //     line-height: 0;
        // }

        // &-text {
        //     position: absolute;
        //     top: 0;
        //     left: 0;
        //     bottom: 0;
        //     right: 0;
        //     opacity: 0;
        //     text-align: center;
        //     z-index: 1;
        //     color: #fff;
        //     transform: translateY(-20%);
        //     transition: opacity 500ms cubic-bezier(0.2, 1, 0.3, 1), transform 500ms cubic-bezier(0.2, 1, 0.3, 1);
        // }

        // &-text-wrap {
        //     position: absolute;
        //     width: 100%;
        //     top: 50%;
        //     transform: translateY(-50%);
        // }

        // &-text-title {
        //     font-size: 2rem;
        //     padding: 0 1rem;
        //     margin-top: 5px;
        // }

        // &-text-category {
        //     text-transform: uppercase;
        //     font-size: 1.2rem;
        //     opacity: 0.7;
        //     margin: 0;
        // }
    }
}

// Contact
#contact {

    &-form {
        button {
            border-radius: 5px;
            width: 100%;
    
            &:focus {
                outline: none;
            }
    
            &:hover {
                background-color: $main-color;
                color: $dark-color;
            }
        } 
    
    
        .text-fields {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
            align-items: center;
    
            .name-input,
            .subject-input,
            .email-input,
            .phone-input,
            .message-input {
                width: 610px;
                height: 20px;
            }
    
            .message-input {
                width: 1260px;
                height: 100px;
            }
    
            input, 
            textarea {
                margin-bottom: 20px;
                padding: 10px;
                border-radius: 5px;
                border: 1px solid $medium-color;
            }
        }
    }
    
    &-info {
        background-color: $dark-color;
        color: #fff;

        .contact-info {
            display: flex;
            justify-content: space-between;
            align-items: center;
            line-height: 30px;
        }
    }

    &-tagline {
        background-color: $main-color;
        color: #fff;

        h1 {
            font-size: 80px;
        }
    }
}

// Footer
#main-footer {
    background-color: $dark-color;
    color: #fff;
    height: 6.5rem;
    
    .footer-content {
        display: flex;
        justify-content: space-between;
        height: 5rem;
        align-items: center;

        .social .fa-brands {
            margin-right: 1rem;
            border: 2px solid #fff;
            border-radius: 50%;
            height: 20px;
            width: 20px;
            line-height: 20px;
            text-align: center;
            padding: 0.5rem;

            &:hover {
                background-color: $main-color
            }
        }
    }

}


// Media Queries
@import 'media';